import { Mark } from '@gitbook/slate';
import { Record } from 'immutable';
import * as React from 'react';
export interface OptionsFormat {
    onlyIn?: (node: Node) => boolean;
    getSyntax?: (node: Node) => string;
    renderMark?: (mark: {
        mark: Mark;
        children: React.Node;
    }) => React.Node;
}
declare function defaultOnlyIn(node: Node): boolean;
declare function defaultGetSyntax(node: Node): string;
declare function defaultRenderMark(props: {
    children: React.Node;
    mark: Mark;
}): void | React.Node;
declare const Options_base: Record.Factory<{
    onlyIn: typeof defaultOnlyIn;
    getSyntax: typeof defaultGetSyntax;
    renderMark: typeof defaultRenderMark;
}>;
declare class Options extends Options_base {
    onlyIn: (node: Node) => boolean;
    getSyntax: (node: Node) => string;
    renderMark: (props: {
        mark: Mark;
        children: React.Node;
    }) => React.Node;
}
export default Options;
